- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Lists Realms in a given project and location.
HTTP request
GET https://cloudnumberregistry.googleapis.com/v1alpha/{parent=projects/*/locations/*}/realms
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource name, for example |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. |
pageToken |
Optional. A token identifying a page of results the server should return. |
filter |
Optional. Filter expression to filter the results. |
orderBy |
Optional. Hint for how to order the results. |
view |
Optional. The view of the Realm to retrieve. |
Request body
The request body must be empty.
Response body
Response message for the CloudNumberRegistry.ListRealms method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"realms": [
{
object ( |
| Fields | |
|---|---|
realms[] |
The list of Realms. |
nextPageToken |
A token identifying a page of results the server should return. |
unreachable[] |
Locations that could not be reached. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
cloudnumberregistry.realms.list
For more information, see the IAM documentation.